{
  "$schema": "https://raw.githubusercontent.com/sasjs/utils/main/src/types/sasjsconfig-schema.json",
  "macroFolders": [
    "sasjs/macros"
  ],
  "programFolders": [
    "sasjs/db/datactrl"
  ],
  "serviceConfig": {
    "serviceFolders": [
      "sasjs/services/admin",
      "sasjs/services/approvers",
      "sasjs/services/auditors",
      "sasjs/services/editors",
      "sasjs/services/hooks",
      "sasjs/services/public",
      "sasjs/services/validations"
    ]
  },
  "binaryFolders": [
    "sasjs/binaryfiles"
  ],
  "docConfig": {
    "displayMacroCore": true,
    "doxyContent": {
      "favIcon": "favicon.ico",
      "footer": "new_footer.html",
      "header": "new_header.html",
      "layout": "DoxygenLayout.xml",
      "logo": "data_controller.png",
      "readMe": "README.md",
      "stylesheet": "new_stylesheet.css",
      "path": "sasjs/doxy"
    },
    "outDirectory": "sasjsbuild/sasdocs"
  },
  "testConfig": {
    "initProgram": "sasjs/tests/testinit.sas",
    "termProgram": "sasjs/tests/testterm.sas",
    "testSetUp": "sasjs/tests/testsetup.sas",
    "macroVars": {},
    "testTearDown": ""
  },
  "streamConfig": {
    "streamWeb": true,
    "streamWebFolder": "web",
    "webSourcePath": "../client/dist",
    "streamServiceName": "clickme",
    "streamLogo": "favicon.ico",
    "assetPaths": []
  },
  "defaultTarget": "v4",
  "targets": [
    {
      "name": "sas9",
      "serverUrl": "https://sas.4gl.io:8343",
      "serverType": "SAS9",
      "appLoc": "/30.SASApps/3030.Projects/303001.DataController/build2/DataController",
      "macroFolders": [
        "sasjs/targets/sas9/macros_meta"
      ],
      "buildConfig": {
        "buildOutputFileName": "mysas9deploy.sas",
        "initProgram": "sasjs/utils/buildinitsas9.sas",
        "buildResultsFolder": "sasjsresults",
        "buildOutputFolder": "sasjsbuild"
      },
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/sas9/services_meta/admin",
          "sasjs/targets/sas9/services_meta/lineage",
          "sasjs/targets/sas9/services_meta/metanav",
          "sasjs/targets/sas9/services_meta/usernav"
        ],
        "initProgram": "sasjs/utils/serviceinitsas9.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": true,
        "streamWebFolder": "web9",
        "webSourcePath": "../client/dist",
        "assetPaths": [],
        "streamServiceName": "clickme"
      },
      "deployConfig": {
        "deployServicePack": true,
        "deployScripts2": [
          "sasjs/utils/delete_metafolder.sh"
        ]
      },
      "serverName": "SASApp",
      "repositoryName": "Foundation"
    },
    {
      "name": "viya",
      "serverUrl": "",
      "serverType": "SASVIYA",
      "httpsAgentOptions": {
        "allowInsecureRequests": false
      },
      "appLoc": "/Public/app/dcplaceholder",
      "deployConfig": {
        "deployServicePack": true,
        "deployScripts": [
          "sasjs/utils/viyadeploy.sh"
        ]
      },
      "macroFolders": [
        "sasjs/targets/viya/macros_viya"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "buildConfig": {
        "initProgram": "sasjs/utils/buildinitviya.sas",
        "buildResultsFolder": "sasjsresults",
        "buildOutputFolder": "sasjsbuild",
        "buildOutputFileName": "viya.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/viya/services_viya/viya_users",
          "sasjs/targets/viya/services_viya/admin",
          "sasjs/targets/viya/services_viya/public",
          "sasjs/targets/viya/services_viya/validations"
        ],
        "initProgram": "sasjs/utils/serviceinitviya.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": true,
        "streamWebFolder": "web",
        "webSourcePath": "../client/dist",
        "streamServiceName": "DC",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      },
      "contextName": "SAS Job Execution compute context"
    },
    {
      "name": "vtest",
      "appLoc": "/Users/&sysuserid/dctest",
      "serverType": "SASVIYA",
      "serverUrl": "https://sas.4gl.io",
      "contextName": "Compute Reusable",
      "testConfig": {
        "testSetUp": "sasjs/tests/testsetup.sas"
      },
      "serviceConfig": {
        "initProgram": "sasjs/utils/serviceinitviya.sas",
        "serviceFolders": [
          "sasjs/targets/viya/services_viya/viya_users",
          "sasjs/targets/viya/services_viya/admin",
          "sasjs/targets/viya/services_viya/public"
        ]
      },
      "macroFolders": [
        "sasjs/targets/viya/macros_viya"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "deployConfig": {
        "deployServicePack": true
      },
      "streamConfig": {
        "streamWeb": false
      }
    },
    {
      "name": "4gl",
      "serverUrl": "https://sas.4gl.io",
      "serverType": "SASJS",
      "httpsAgentOptions": {
        "allowInsecureRequests": false
      },
      "appLoc": "/Public/app/dc",
      "deployConfig": {
        "deployServicePack": true,
        "deployScripts": []
      },
      "macroFolders": [
        "sasjs/targets/server/macros_server"
      ],
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/server/services_server/admin",
          "sasjs/targets/server/services_server/usernav"
        ],
        "initProgram": "sasjs/utils/serviceinitserver.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": true,
        "streamWebFolder": "web",
        "webSourcePath": "../client/dist",
        "streamServiceName": "DataController2",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      }
    },
    {
      "name": "server",
      "serverUrl": "https://sas.4gl.io",
      "serverType": "SASJS",
      "httpsAgentOptions": {
        "rejectUnauthorized": false,
        "allowInsecureRequests": true
      },
      "appLoc": "/Public/app/dc",
      "deployConfig": {
        "deployServicePack": true,
        "deployScripts": []
      },
      "macroFolders": [
        "sasjs/targets/server/macros_server"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/server/services_server/admin",
          "sasjs/targets/server/services_server/usernav"
        ],
        "initProgram": "sasjs/utils/serviceinitserver.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": true,
        "streamWebFolder": "web",
        "webSourcePath": "../client/dist",
        "streamServiceName": "DataController",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      }
    },
    {
      "name": "local",
      "serverUrl": "http://localhost:5000",
      "serverType": "SASJS",
      "httpsAgentOptions": {
        "rejectUnauthorized": false,
        "allowInsecureRequests": true
      },
      "appLoc": "/Public/app/dc",
      "deployConfig": {
        "deployServicePack": true,
        "deployScripts": []
      },
      "macroFolders": [
        "sasjs/targets/server/macros_server"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/server/services_server/admin",
          "sasjs/targets/server/services_server/usernav"
        ],
        "initProgram": "sasjs/utils/serviceinitserver.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": true,
        "streamWebFolder": "web",
        "webSourcePath": "../client/dist",
        "streamServiceName": "DataController",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      }
    },
    {
      "name": "server-mihajlo",
      "serverUrl": "https://sas.4gl.io",
      "serverType": "SASJS",
      "httpsAgentOptions": {
        "rejectUnauthorized": false,
        "allowInsecureRequests": true
      },
      "appLoc": "/Public/app/dc2",
      "deployConfig": {
        "deployServicePack": true,
        "deployScripts": []
      },
      "macroFolders": [
        "sasjs/targets/server/macros_server"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/server/services_server/admin",
          "sasjs/targets/server/services_server/usernav"
        ],
        "initProgram": "sasjs/utils/serviceinitserver.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": false,
        "streamWebFolder": "webv",
        "webSourcePath": "../client/dist",
        "streamServiceName": "DataControllerMihajlo",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      }
    },
    {
      "name": "mihajlo",
      "serverUrl": "https://sas.4gl.io",
      "serverType": "SASVIYA",
      "httpsAgentOptions": {
        "allowInsecureRequests": false
      },
      "appLoc": "/30.SASApps/app/mihajlo",
      "macroFolders": [
        "sasjs/targets/viya/macros_viya"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "buildConfig": {
        "initProgram": "sasjs/utils/buildinitviya.sas",
        "termProgram": "sasjs/utils/buildtermviya.sas",
        "buildOutputFileName": "viyaCi.sas",
        "macroVars": {},
        "buildResultsFolder": "sasjsresults",
        "buildOutputFolder": "sasjsbuild"
      },
      "serviceConfig": {
        "initProgram": "sasjs/utils/serviceinitviya.sas",
        "serviceFolders": [
          "sasjs/targets/viya/services_viya/admin"
        ],
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": false,
        "streamWebFolder": "webv",
        "streamServiceName": "DataController",
        "webSourcePath": "../client/dist",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      },
      "contextName": "Datacontroller compute context"
    },
    {
      "name": "server-ci",
      "serverUrl": "https://sas.4gl.io:5002",
      "serverType": "SASJS",
      "httpsAgentOptions": {
        "allowInsecureRequests": false
      },
      "appLoc": "/30.SASApps/app/devtest",
      "macroFolders": [
        "sasjs/targets/server/macros_server"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/server/services_server/admin",
          "sasjs/targets/server/services_server/usernav"
        ],
        "initProgram": "sasjs/utils/serviceinitserver.sas",
        "termProgram": "",
        "macroVars": {}
      }
    },
    {
      "name": "productionCi",
      "appLoc": "/30.SASApps/app/productionCi",
      "serverUrl": "https://sas.4gl.io:5002",
      "serverType": "SASJS",
      "macroFolders": [
        "sasjs/targets/server/macros_server"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/server/services_server/admin",
          "sasjs/targets/server/services_server/usernav"
        ],
        "initProgram": "sasjs/utils/serviceinitserver.sas"
      },
      "streamConfig": {
        "streamWeb": true,
        "streamWebFolder": "web",
        "streamServiceName": "DataController",
        "webSourcePath": "../client/dist",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      }
    },
    {
      "name": "docs",
      "appLoc": "/Public/dc/docs",
      "serverType": "SASJS",
      "macroFolders": [
        "sasjs/macros",
        "sasjs/targets/server/macros_server",
        "sasjs/targets/viya/macros_viya"
      ],
      "programFolders": [
        "sasjs/db/datactrl",
        "sasjs/tests"
      ],
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/sas9/services_meta/admin",
          "sasjs/targets/sas9/services_meta/lineage",
          "sasjs/targets/sas9/services_meta/metanav",
          "sasjs/targets/sas9/services_meta/usernav",
          "sasjs/targets/server/services_server/admin",
          "sasjs/targets/server/services_server/usernav",
          "sasjs/targets/viya/services_viya/admin"
        ]
      }
    },
    {
      "name": "v4",
      "serverUrl": "",
      "serverType": "SASVIYA",
      "httpsAgentOptions": {
        "allowInsecureRequests": false
      },
      "appLoc": "/Public/4gl/dc",
      "deployConfig": {
        "deployServicePack": true,
        "deployScripts": []
      },
      "macroFolders": [
        "sasjs/targets/viya/macros_viya"
      ],
      "programFolders": [
        "sasjs/db/datactrl"
      ],
      "buildConfig": {
        "initProgram": "sasjs/utils/buildinitviya.sas",
        "termProgram": "sasjs/utils/buildtermviya.sas",
        "buildOutputFileName": "viyaCi.sas",
        "macroVars": {},
        "buildResultsFolder": "sasjsresults",
        "buildOutputFolder": "sasjsbuild"
      },
      "serviceConfig": {
        "serviceFolders": [
          "sasjs/targets/viya/services_viya/admin"
        ],
        "initProgram": "sasjs/utils/serviceinitviya.sas",
        "termProgram": "",
        "macroVars": {}
      },
      "streamConfig": {
        "streamWeb": true,
        "streamWebFolder": "webv",
        "webSourcePath": "../client/dist",
        "streamServiceName": "DataController",
        "streamLogo": "favicon.ico",
        "assetPaths": []
      },
      "contextName": "SAS Job Execution compute context"
    }
  ]
}